Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.registry
Interface Registry

All Known Implementing Classes:
  LocateRegistry

public interface Registry
extends Remote

This interface is provided for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `REGISTRY_PORT`

Method Summary
`void` | `bind(java.lang.String string, Remote remote)`
`java.lang.String[]` | `list()`
`Remote` | `lookup(java.lang.String string)`
`void` | `rebind(java.lang.String string, Remote remote)`
`void` | `unbind(java.lang.String string)`

Field Detail

### REGISTRY_PORT

    public static final int REGISTRY_PORT

Method Detail

### lookup

    public Remote lookup(java.lang.String string)
                  throws RemoteException,
                         NotBoundException,
                         AccessException

### bind

    public void bind(java.lang.String string,
                     Remote remote)
              throws RemoteException,
                     AlreadyBoundException,
                     AccessException

### unbind

    public void unbind(java.lang.String string)
                throws RemoteException,
                       NotBoundException,
                       AccessException

### rebind

    public void rebind(java.lang.String string,
                       Remote remote)
                throws RemoteException,
                       AccessException

### list

    public java.lang.String[] list()
                            throws RemoteException,
                                   AccessException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD